<div style="display: flex; justify-content: center; align-items: center; flex-direction: column; margin: 50px;">
  <mat-spinner *ngIf="loading"></mat-spinner>
  <div *ngIf="!loading">
    <ngx-charts-bubble-chart
      [view]="[900, 600]"
      [scheme]="'vivid'"
      [schemeType]="'ordinal'"
      [results]="data"
      [animations]="true"
      [legendPosition]="'below'"
      [minRadius]="5"
      [maxRadius]="10"
      [tooltipDisabled]="false"
      [autoScale]="true"
      [showXAxisLabel]="true"
      [showYAxisLabel]="true"
      [showGridLines]="true"
      [roundDomains]="true"
      [xAxisLabel]="'Teams'"
      [yAxisLabel]="'RBI'"
      (select)="clickHandler($event)"
    ></ngx-charts-bubble-chart>
  </div>

</div>

